Galileo

[KSP 1.3.1] Galileo's Planet Pack [v1.5.3] 10 Oct 2017]

Recommended Posts

Kopernicus 1.3.0-7 just went live. GPP shouldn't require any changes. It fixes solar panels tracking the wrong star for those that are interested in that sort of thing :wink: 

Share this post


Link to post
Share on other sites
On 23.9.2017 at 11:42 PM, dgrin91 said:

I can't get GPP to work with RemoteTech. I'm trying just a simple SETI probe with the basic comms device and having it send temperature readings from the launch pad, but I get an error saying there are no usable comms devices on the vessel.

  Reveal hidden contents

lmjyRE.jpg

 

This same test works without GPP but with Seti and Remote Tech installed. I'm guessing that this is because GPP renames the planets and RemoteTech expects the planet names.

 

How can I get GPP to work with Remote Tech?

 

On 7.9.2017 at 9:59 PM, Yakvi said:

You might be using SETI RemoteTech configs (they are installed by default in SETI mega-pack on CKAN): they overwrite everything back to Kerbal system. I've spent a LOT of time figuring this one out. Some suggestions:

  • Inside GameData, search for "Remote". Ensure you don't only have one file "RemoteTech_Settings.cfg" and it resides in RemoteTech folder. Leave GPP file be (called "GPP_RemoteTech").
  • If you have CKAN, remove any mod related to RemoteTech which isn't RemoteTech itself. 
  • At the tracking station, check that you actually have SOME tracking stations. Check their names. 
    • If not, check on Icarus. 

So yeah, the bottom line is: if you don't have connection in GSC, that mean there's something overwriting GPP configs. 

 

On 24.9.2017 at 4:45 AM, Galileo said:

Yep that's a common annoyance with the SETI mods, I find. Personally I think it touches far too much, basically forcing you to only use SETI.

 

SETIremoteTechConfig and SETIcontracts were made quite some time ago, before CommNet and GPP were a thing and the latter one when ContractConfigurator was brand new.
Imho both SETI and GPP touch further than the usual (part) mod, no need to blame the older of them for not adjusting quick enough to the newer. These things happen, especially when changing the core game instead of just adding stuff on top of it (eg there is no issue with OPM). I m thankful for all the feedback and sorry for the inconveniences caused, but such problems are the inherent price of modification over addition.
I m just coming back from a long hiatus and reading up on stuff, so might not have all the info.

But it seems that for the SETIremoteTechConfig issue, changing the

@RemoteTechSettings:FOR[SETIremoteTechConfig] {

line to

@RemoteTechSettings:NEEDS[!GPP] {

would fix the issue by deactivating the mod when GPP is installed? I can not test it myself until probably the weekend, but if someone could confirm that, I could simply change it on github.

Share this post


Link to post
Share on other sites

@Yemo Yeah, when I did my testing, that's what I ended up doing. It worked great. If you were to include that it would be greatly appreciated! Thanks!

Share this post


Link to post
Share on other sites
39 minutes ago, Galileo said:

@Yemo Yeah, when I did my testing, that's what I ended up doing. It worked great. If you were to include that it would be greatly appreciated! Thanks!

Done,

SETIremoteTechConfig should now self-deactivate when GPP is installed.

Share this post


Link to post
Share on other sites

Time to drop some praise again. Who did the Biome names? Outstanding. My fingers twitch to finally play some more GPP and my head spins trying to imagine what these cool places could be

Quote

#LOC_GPP_Planets_Biome_StratocalciferousDisplayName = Stratocalciferous

*clap* … *clap* … *clap* … but how am I gonna translate this … :huh:

Edited by Three_Pounds

Share this post


Link to post
Share on other sites
11 minutes ago, Three_Pounds said:

Time to drop some praise again. Who did the Biome names? Outstanding.

homer_lurking.gif

(Poodmund and I did it. He's guilty too.)

Stratocalciferous is a mashup word (of stratosphere, calcium) meaning "Tall calcium." The biome is exclusively the highest points, all colored bright white.

Edited by JadeOfMaar

Share this post


Link to post
Share on other sites
1 hour ago, Three_Pounds said:

*clap* … *clap* … *clap* … but how am I gonna translate this … :huh:

Some things don't need to have literal translations. Technically, they are names :wink: 

Share this post


Link to post
Share on other sites
47 minutes ago, Galileo said:

Some things don't need to have literal translations. Technically, they are names :wink: 

My abitious goal for this translation is to make it seem like the mod was made in the target language while staying true to the orignal version in terms of tone, humour and themes. Normally, translating names and geographic terms is frowned upon but these are fictional so I don't think the same applies. Ideally, the end user can't determine the language of the source material making it feel natural. Taking biome names as an example, for creations like Droops I try to find something that sounds as close to the original but has a similar meaning and feel. While droops isn't a proper noun as far as I can tell, someone who knows English will still be able to associate a meaning to it because of similar sounding words like droop and droopy. One way of going about this would just be leaving it as is but I believe a German-only speaker while finding it cool-sounding won't associate anything with it. So I can changed it to Drops which is a kind of hard candy. It fits Iota perfectly!

Sorry for rambling. :)

Edited by Three_Pounds

Share this post


Link to post
Share on other sites

It seems GPP doesn't like the latest Kopernicus release (1.3.0-7). I get the message that Kopernicus didn't load. Tried with my normal, heavily modded game, and with a clean KSP install; same result.

Here are the logs. I also posted this in the Kopernicus forum.

Share this post


Link to post
Share on other sites
5 minutes ago, symmeclept said:

It seems GPP doesn't like the latest Kopernicus release (1.3.0-7). I get the message that Kopernicus didn't load. Tried with my normal, heavily modded game, and with a clean KSP install; same result.

Here are the logs. I also posted this in the Kopernicus forum.

Works perfectly fine. I ran it all morning.

Share this post


Link to post
Share on other sites
28 minutes ago, Galileo said:

Works perfectly fine. I ran it all morning.

Well, it's not loading. Was there an update I missed, or hasn't been released?

XEFFqa4.png

KSP 1.3.0
GPP 1.5.1
GPP_Tex 3.0.0
Sigma Dim 0.9.2
Kopernicus 1.3.0-7
MM 2.8.1

Again, clean KSP install with only what's needed for the test.

Share this post


Link to post
Share on other sites

@symmeclept Your log says there was an exception with a particular body (in this case, Agrippina. But this has happened before, with reference to Thalia). It may be file corruption in the GPP download.

Share this post


Link to post
Share on other sites
18 minutes ago, symmeclept said:

Well, it's not loading. Was there an update I missed, or hasn't been released?

 

KSP 1.3.0
GPP 1.5.1
GPP_Tex 3.0.0
Sigma Dim 0.9.2
Kopernicus 1.3.0-7
MM 2.8.1

Again, clean KSP install with only what's needed for the test.

Also, Sigma Dimensions broke with the latest Kopernicus update. That may be  the issue.

EDIT: Getting clarification now: Stand By

 

@symmeclept Sigma Dimensions breaks Kopernicus at the moment. confirmed. 

Edited by Galileo

Share this post


Link to post
Share on other sites

It has just been confirmed that Kopernicus 1.3.0-7 breaks Sigma Dimensions.

Everyone with upscaled GPP games will simply be unable to load their game. Careers are safe, though.

Edited by JadeOfMaar

Share this post


Link to post
Share on other sites
53 minutes ago, Galileo said:

Also, Sigma Dimensions broke with the latest Kopernicus update. That may be  the issue.

EDIT: Getting clarification now: Stand By

 

@symmeclept Sigma Dimensions breaks Kopernicus at the moment. confirmed. 

Thanks for the clarification. I always forget Sigma is only needed for rescale, but my main game is 2.5x, so it's still broken. I was half right, atleast :cool:

Share this post


Link to post
Share on other sites

@symmeclept, I had the same problem earlier today.  I had an old 2.5x save in GPP 1.4.0 that I was trying to update to all the latest versions.

So what's being fixed, Sigma or Kopernius?

Share this post


Link to post
Share on other sites
2 hours ago, OhioBob said:

@symmeclept, I had the same problem earlier today.  I had an old 2.5x save in GPP 1.4.0 that I was trying to update to all the latest versions.

So what's being fixed, Sigma or Kopernius?

Sigma will be brought up to date.

Share this post


Link to post
Share on other sites
3 hours ago, JadeOfMaar said:

It has just been confirmed that Kopernicus 1.3.0-7 breaks Sigma Dimensions.

Everyone with upscaled GPP games will simply be unable to load their game. Careers are safe, though.

Stock scale games are ok?

Share this post


Link to post
Share on other sites
Just now, linuxgurugamer said:

Stock scale games are ok?

Yes, they are.

Share this post


Link to post
Share on other sites
16 hours ago, JadeOfMaar said:

It has just been confirmed that Kopernicus 1.3.0-7 breaks Sigma Dimensions.

Everyone with upscaled GPP games will simply be unable to load their game. Careers are safe, though.

Dang it!

 

I love 2.5x because it makes the game realistically challenging with it essentially having the same mass to orbit ratios of RSS

Share this post


Link to post
Share on other sites

 

12 hours ago, linuxgurugamer said:

Stock scale games are ok?

 

12 hours ago, JadeOfMaar said:

Yes, they are.

That is because Stock scale is so awesome :)   Ok sorry Stock scale brings so may problems to this game when trying to do IRL stuff in game...   But I had to say it.  I came to Galileo for a challenge afterI had problems with a Stock System re-scaled to 2.5x...  I am happy playing Stock scale in the Galileo world because of the challenges it provides.

Edited by Pappystein

Share this post


Link to post
Share on other sites
1 hour ago, 4d4Garrison said:

Dang it!

 

I love 2.5x because it makes the game realistically challenging with it essentially having the same mass to orbit ratios of RSS

Just roll back Kopernicus if you updated. All that you're missing out on is that it's now able to let you know if x, y or z doesn't work.

Spoiler

And manual tracking for solar panels, finally.

 

Share this post


Link to post
Share on other sites
1 minute ago, JadeOfMaar said:

Just roll back Kopernicus if you updated. All that you're missing out on is that it's now able to let you know if x, y or z doesn't work.

  Reveal hidden contents

And manual tracking for solar panels, finally.

 

 

and auto tracking :wink:   It was fixed in 1.3.0-8

Edited by Galileo

Share this post


Link to post
Share on other sites

@Galileo - I've got a weird one here, and I reproduced the issue with only the affected addons. With the following (properly) installed:

- Kopernicus (1.3.0-6 or 1.3.0-8, tried both)
- GPP 1.5.1 and Textures 3.0
- GPP_Secondary
- OPM_Galileo 1.2.1

The OPM planets (and the relocated Eeloo) do not show up in game - just the GPP planets.

Log: https://pastebin.com/GBnhgM3b

OPM shows up fine if I remove GPP, and shows up fine if I add other Kopernicus packs like Extrasolar. (unless I add GPP back in)

Has anyone else seen this? Could I have possibly missed something obvious?  Thanks.

Edited by panarchist

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now